#ifndef _VM_H_
#define _VM_H_

#define HIFI				// if both are defined => SPIRE

#define MAXSUBNEST 16		// Max # of nested Subroutine
#define MAXPC	     0x7fff	// Max value for PC (Max dimension of VM prog)
#define TIMEXMUTEX   10000	// switch mutex if TIM > or < of TIMEXMUTEX
#define MINTIM 2000		// Min time for sending commands

#define MAXREGNO 256			// Max number of VM registers
#define SYNTAXFILE "hifisyntax.h"

#define SETTIMER(a) * P_hw_timer = a;
#define VMTX(b)	* TX_reg = b;

#define VM_RELEASE (Code[VM_LEN - WNUM_Spectroscopy_table + VM_RELEASE_IDX])


#endif // _VM_H_


/*================== RCS/CVS revision history configura.h: ===============
 $Log: vm.h,v $
 Revision 1.2  2006/03/23 17:22:23  lorenzo
 branch lp23mar merged

 Revision 1.1.2.1  2006/03/23 14:05:15  lorenzo
 first version of revised VM organisation, compiles but does not work

 Revision 1.2  2006/01/17 15:22:15  lorenzo
 still reorganising files

 Revision 1.1  2006/01/12 11:45:12  lorenzo
 Initialising OBS_FM

 Revision 1.3  2005/11/02 13:39:14  francesco
 errors corrected, patches added

 Revision 1.2  2005/11/02 07:55:46  francesco
 version delivered as OBS 3.3

 Revision 1.2  2005/09/28 13:22:42  francesco
 merged with branch WBS_tuning

 Revision 1.1.20.1  2005/09/27 14:43:57  francesco
 wbs tuning changes during integration test with wbs instr

 Revision 1.1  2005/08/30 10:06:18  anna
 OBS V16_0 WBS integration tests.
 WBS start/stop int broadcast commands changed for all measurements not using VM. (substituted only for WBS H. WBS V correct commanding has to be implemented).
 WBS integration time changed to 1005 in comb and zero mesurements.

 Revision 1.6  2005/07/21 01:02:14  Lorenzo
 just merged

 Revision 1.5.2.1  2005/07/21 00:55:41  Lorenzo
 fra's branch

 Revision 1.5  2005/07/20 18:51:17  Lorenzo
 merged

 Revision 1.4.2.1  2005/07/20 18:46:03  Lorenzo
 *** empty log message ***

 Revision 1.4  2005/07/19 00:12:33  Lorenzo
 *** empty log message ***

 Revision 1.7  2005/07/16 09:14:49  Lorenzo
 consolidating the handling of the spec table
 removed sim science

 Revision 1.6  2005/07/12 09:07:16  francesco
 just merged

 Revision 1.5.2.1  2005/07/12 09:03:47  francesco
 lorenzo's branch

 Revision 1.5  2005/07/08 00:30:12  Lorenzo
 Just merged. Starting tag 31-18

 Revision 1.4.2.1  2005/07/08 00:17:30  Lorenzo
 francesco's branch

 Revision 1.4  2005/07/05 20:02:21  Lorenzo
 just merged

 Revision 1.3.16.1  2005/07/05 19:49:42  Lorenzo
 francescos branch

 Revision 1.3  2005/06/16 23:27:45  Lorenzo
 just merged

 Revision 1.2.6.1  2005/06/16 23:20:07  Lorenzo
 francesco's branch. Pubfuncs consolidation started.

 Revision 1.2  2005/05/28 09:55:44  Lorenzo
 moved variable p_LS_regs_addr from pubfuncs.c to ls.c

 Revision 1.1  2005/05/26 19:41:44  Lorenzo
 Inital version. Identical to OBS3.0.

 Revision 1.3  2005/03/03 12:50:22  anna
 New hs0 and hs1 written, version under test (more or less working but still open problems: wbs sd, hrs hk, single instr, scan count)

 Revision 1.14  2005/02/17 15:35:35  anna
 HS Flush event handling added

 Revision 1.13  2004/11/03 15:24:10  anna
 Rev 2.10 VM stack pointer initialization modified
 VM RET instruction implementation corrected
 double right shift problem corrected
 masking of the interrupts generated by the non-active FIFOs implemented
 FIFO data reading logic modified to account for the active fifos

 Revision 1.1.1.1  2002/10/29 12:31:08  annadg
 no message

 Revision 1.4  2002/10/29 15:31:08  annadg
 Prima versione di Anna

 Revision 1.3  2002/05/03 15:35:19  audion
 VM is OK

 Revision 1.2  2002/04/26 17:56:20  audion
 Versione alla quale ha funzionato la Ctritical Section, 
 spostando la definizione della funzione fuori dal task. Configure SS OK.

 Revision 1.1.1.1  2002/04/18 15:51:36	audion
 no message

 Revision 1.1  2002/03/30 15:49:32	Lorenzo
 no message

 Revision 1.9  2002/03/21 07:47:21	cerulli
 Pulizia

 Revision 1.8  2002/02/19 17:04:05	cerulli
 levato vecchioOP1 (era sbagliata) . Il vecchio O2 e' ora O1

 Revision 1.7  2002/02/07 17:18:44	cerulli
 ; added reg indirect to reg move RRMV and tot hifi power


==========================================================================*/
// here configurations directives

